Open CASCADE Technology: MoniTool_TransientElem Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
MoniTool_TransientElem Class Reference

an TransientElem defines an Element for a specific input class its definition includes the value of the Key to be mapped, and the HashCoder associated to the class of the Key More...

`#include <MoniTool_TransientElem.hxx>`

Inheritance diagram for MoniTool_TransientElem:
[legend]

## Public Member Functions
| MoniTool_TransientElem (const Handle< Standard_Transient > &akey)
| Creates a TransientElem with a Value. This Value can then not be changed. It is used by the Hasher to compute the HashCode, which will then be stored for an immediate reading. More...
const Handle< Standard_Transient > & | Value () const
| Returns the contained value. More...
Standard_Boolean | Equates (const Handle< MoniTool_Element > &other) const
| Specific testof equallity : defined as False if <other> has not the same true Type, else contents are compared (by C++ operator ==) More...
virtual Handle< Standard_Type > | ValueType () const
| Returns the Type of the Value. By default, returns the DynamicType of <me>, but can be redefined. More...
virtual Standard_CString | ValueTypeName () const
| Returns the name of the Type of the Value. Default is name of ValueType, unless it is for a non-handled object. More...
Public Member Functions inherited from MoniTool_Element
Standard_Integer | GetHashCode () const
| Returns the HashCode which has been stored by SetHashCode (remark that HashCode could be deferred then be defined by sub-classes, the result is the same) More...
const MoniTool_AttrList & | ListAttr () const
| Returns (readonly) the Attribute List. More...
MoniTool_AttrList & | ChangeAttr ()
| Returns (modifiable) the Attribute List. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Member Functions inherited from MoniTool_Element
void | SetHashCode (const Standard_Integer code)
| Stores the HashCode which corresponds to the Value given to create the Mapper. More...

## Detailed Description

an TransientElem defines an Element for a specific input class its definition includes the value of the Key to be mapped, and the HashCoder associated to the class of the Key

Transient from Standard defines the class to be keyed MapTransientHasher from TColStd is the associated Hasher DataInfo from MoniTool is an additionnal class which helps to provide informations on the value (template : see DataInfo)

## Constructor & Destructor Documentation

MoniTool_TransientElem::MoniTool_TransientElem | ( | const Handle< Standard_Transient > & | akey | ) |

Creates a TransientElem with a Value. This Value can then not be changed. It is used by the Hasher to compute the HashCode, which will then be stored for an immediate reading.

## Member Function Documentation

Standard_Boolean MoniTool_TransientElem::Equates | ( | const Handle< MoniTool_Element > & | other | ) | const
| virtual

Specific testof equallity : defined as False if <other> has not the same true Type, else contents are compared (by C++ operator ==)

Implements MoniTool_Element.

const Handle< Standard_Transient >& MoniTool_TransientElem::Value | ( |  | ) | const

Returns the contained value.

virtual Handle< Standard_Type > MoniTool_TransientElem::ValueType | ( |  | ) | const
| virtual

Returns the Type of the Value. By default, returns the DynamicType of <me>, but can be redefined.

Reimplemented from MoniTool_Element.

virtual Standard_CString MoniTool_TransientElem::ValueTypeName | ( |  | ) | const
| virtual

Returns the name of the Type of the Value. Default is name of ValueType, unless it is for a non-handled object.

Reimplemented from MoniTool_Element.

The documentation for this class was generated from the following file:

- MoniTool_TransientElem.hxx